------------------------------------------------------------------------------
--                                                                          --
--                	        G N A T . RAVENSCAR                         --
--                                                                          --
--                      Copyright (C) 2008-2016, AdaCore                    --
--                                                                          --
-- GNAT is free software;  you can  redistribute it  and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License  distributed with GNAT;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
-- GNAT was originally developed  by the GNAT team at  New York University. --
-- Extensive contributions were provided by Ada Core Technologies Inc.      --
--                                                                          --
------------------------------------------------------------------------------

with System;
with Ada.Real_Time;
with Ada.Text_IO;

package GNAT.Ravenscar.Report is
   use Ada.Text_IO;

   procedure Init (System_Start_Time : Ada.Real_Time.Time);

   procedure Print (Message : String; For_Debug : Boolean := False);

private

   protected Reporter is
      pragma Priority (System.Any_Priority'Last);

      procedure Init (System_Start_Time : Ada.Real_Time.Time);

      procedure Print (Message : String; For_Debug : Boolean := False);

   private
      SST : Ada.Real_Time.Time := Ada.Real_Time.Clock;
      Log : File_Type;
   end Reporter;

end GNAT.Ravenscar.Report;
