------------------------------------------------------------------------------
--                                                                          --
--                	        G N A T . RAVENSCAR                         --
--                                                                          --
--                      Copyright (C) 2008-2016, AdaCore                    --
--                                                                          --
-- GNAT is free software;  you can  redistribute it  and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License  distributed with GNAT;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
-- GNAT was originally developed  by the GNAT team at  New York University. --
-- Extensive contributions were provided by Ada Core Technologies Inc.      --
--                                                                          --
------------------------------------------------------------------------------

pragma Profile (Ravenscar);

with Ada.Real_Time; use Ada.Real_Time;
with System;
with Test_All;
with Test_All.Sporadic_Task;

procedure Test_Simple_Sporadic_Task is
   pragma Priority (System.Priority'First);
begin
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   delay until Test_All.System_Start_Up + Milliseconds (300);
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   delay until Test_All.System_Start_Up + Milliseconds (700);
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
   Test_All.Sporadic_Task.My_Sporadic_Task.Release;
end Test_Simple_Sporadic_Task;
